This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859997 - cpfmtxa formatted DASD devices not visible in anaconda UI
cpfmtxa formatted DASD devices not visible in anaconda UI
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
:
: 1030202 (view as bug list)
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2012-09-24 11:06 EDT by Jan Stodola
Modified: 2015-11-11 10:01 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-21.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 05:49:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot after choosing vncviewer (64.37 KB, image/jpeg)
2015-11-11 10:01 EST, IBM Bug Proxy
no flags Details
Anaconda logs (48.39 KB, text/plain)
2015-11-11 10:01 EST, IBM Bug Proxy
no flags Details

  None (edit)
Description Jan Stodola 2012-09-24 11:06:24 EDT
Description of problem:
When trying to install system to DASD drives formatted by cpfmtxa in CMS, anaconda doesn't ask to format these devices for use with linux. Because of it, user cannot use these DASD drives.


Version-Release number of selected component (if applicable):
anaconda 18.8

How reproducible:
always

Steps to Reproduce:
1. in CMS, format DASD drive(s) using cpfmtxa
2. start the installation (reproducible in both vnc and text mode)
3. try to use DASD drives formatted in step 1.
  
Actual results:
DASD drives not shown, unable to use them for the installation

Expected results:
anaconda asks to format DASD drives to use with linux, DASD drives are visible in anaconda UI.
Comment 5 Jan Stodola 2012-09-24 11:11:49 EDT
[anaconda root@rtt7 ~]# lsdasd 
Bus-ID     Status      Name      Device  Type  BlkSz  Size      Blocks
==============================================================================
0.0.3727   n/f         dasda     94:0    ECKD                   
0.0.3627   n/f         dasdb     94:4    ECKD                   
0.0.3527   n/f         dasdc     94:8    ECKD
Comment 6 Fedora End Of Life 2013-12-21 03:56:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Samantha N. Bueno 2014-02-11 18:04:42 EST
Patches posted for review.
Comment 8 Samantha N. Bueno 2014-03-04 15:25:42 EST
Patches pushed, commits 040f69a (blivet), c8a4b904, 4fd7b1e3, bfc1de46, and edea639e.
Comment 9 David Shea 2014-09-04 15:31:25 EDT
*** Bug 1030202 has been marked as a duplicate of this bug. ***
Comment 10 Jan Stodola 2014-10-16 05:48:24 EDT
Retested with anaconda-21.48.9-1.fc21, cpfmtxa DASD disks are visible in anaconda UI, anaconda formats them with dasdfmt and use them for partitioning. Tested both GUI (vnc) and text mode.

Moving to VERIFIED.
Comment 11 IBM Bug Proxy 2015-11-11 10:01:21 EST
Created attachment 1092786 [details]
Screenshot after choosing vncviewer
Comment 12 IBM Bug Proxy 2015-11-11 10:01:26 EST
Created attachment 1092787 [details]
Anaconda logs

Note You need to log in before you can comment on or make changes to this bug.